# Documentation

Menu

## BuildDirTrait

BuildDirTrait.php : 20

Trait BuildDirTrait

### Table of Contents

#### Properties

$_buildDir : string

#### Methods

createBuildDir() : void
  attempts to create the build dir
getBuildDir() : string
  returns the full (real) path to the given build path
getBuildFileContent() : string
  returns the contents of the given build file
getBuildFilePath() : string
  returns the full (real) path to the given build file
getBuildPath() : string
  returns the full raw path to the build dir

### Properties

#### $_buildDir

BuildDirTrait.php : 22
`private string $_buildDir = __DIR__ . '/../.build/'`

### Methods

#### createBuildDir()

BuildDirTrait.php : 36

attempts to create the build dir

`protected createBuildDir(string $subPath) : void`

##### Parameters

$subPath : string

##### Tags

throws
  RuntimeException

#### getBuildDir()

BuildDirTrait.php : 54

returns the full (real) path to the given build path

`protected getBuildDir([string $subPath = '' ]) : string`

##### Parameters

$subPath : string = ''

##### Tags

throws
  RuntimeException

##### Return values

string

#### getBuildFileContent()

BuildDirTrait.php : 88

returns the contents of the given build file

`protected getBuildFileContent(string $fileSubPath) : string`

##### Parameters

$fileSubPath : string

##### Tags

throws
  RuntimeException

##### Return values

string

#### getBuildFilePath()

BuildDirTrait.php : 69

returns the full (real) path to the given build file

`protected getBuildFilePath(string $fileSubPath) : string`

##### Parameters

$fileSubPath : string

##### Tags

throws
  RuntimeException

##### Return values

string

#### getBuildPath()

BuildDirTrait.php : 27

returns the full raw path to the build dir

`protected getBuildPath(string $subPath) : string`

##### Parameters

$subPath : string

##### Return values

string

## Search results